Bug 221172 - rhncfg-actions still requires up2date
rhncfg-actions still requires up2date
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Configuration Management (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan Kearney
wes hayutin
:
Depends On: 222912
Blocks: 166615
  Show dependency treegraph
 
Reported: 2007-01-02 13:37 EST by Pete Vetere
Modified: 2013-01-10 04:05 EST (History)
2 users (show)

See Also:
Fixed In Version: rhn500h
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 13:49:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Vetere 2007-01-02 13:37:54 EST
Description of problem:

rhncfg-actions still requires up2date.  We need to fix the package dependencies.

      [root@lthpjstst ~]# yum install rhncfg-actions
      Loading "installonlyn" plugin
      Loading "rhnplugin" plugin
      Setting up Install Process
      Setting up repositories
      rhel-i386-server-5-beta   100% |=========================|  951 B    00:00
      hp-rhel-i386-server-5-bet 100% |=========================|  951 B    00:00
      rhn-tools-rhel-i386-serve 100% |=========================|  951 B    00:00
      ems-rhel-i386-server-5-be 100% |=========================|  951 B    00:00
      is-rhel-i386-server-5-bet 100% |=========================|  951 B    00:00
      isg-rhel-i386-server-5-be 100% |=========================|  951 B    00:00
      Reading repository metadata in from local files
      Parsing package install arguments
      Resolving Dependencies
      --> Populating transaction set with selected packages. Please wait.
      ---> Package rhncfg-actions.noarch 0:4.1.0-2 set to be updated
      --> Running transaction check
      --> Processing Dependency: up2date for package: rhncfg-actions
      --> Finished Dependency Resolution
      Error: Missing Dependency: up2date is needed by package rhncfg-actions
      [root@lthpjstst ~]#

Other RHN packages (such as osad, rhncfg and rhncfg-client that we install on
RHEL4 systems install OK


Version-Release number of selected component (if applicable):

RHN 5.0 beta

How reproducible:

always
Comment 2 wes hayutin 2007-03-01 13:51:14 EST
[root@dhcp231-215 etc]# yum install rhncfg-actions
Loading "installonlyn" plugin
Loading "rhnplugin" plugin
Setting up Install Process
Setting up repositories
rhel-i386-server-5        100% |=========================| 1.2 kB    00:00
rhel-i386-server-vt-5     100% |=========================| 1.2 kB    00:00
rhn-tools-rhel-i386-serve 100% |=========================| 1.2 kB    00:00
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for rhncfg-actions to pack into transaction set.
rhncfg-actions-5.0.1-1.el 100% |=========================| 5.6 kB    00:00
---> Package rhncfg-actions.noarch 0:5.0.1-1.el5 set to be updated
--> Running transaction check
--> Processing Dependency: rhncfg = 5.0.1-1.el5 for package: rhncfg-actions
--> Processing Dependency: rhncfg-client for package: rhncfg-actions
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for rhncfg-client to pack into transaction set.
rhncfg-client-5.0.1-1.el5 100% |=========================| 6.6 kB    00:00
---> Package rhncfg-client.noarch 0:5.0.1-1.el5 set to be updated
---> Downloading header for rhncfg to pack into transaction set.
rhncfg-5.0.1-1.el5.noarch 100% |=========================| 7.5 kB    00:00
---> Package rhncfg.noarch 0:5.0.1-1.el5 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 rhncfg-actions          noarch     5.0.1-1.el5     
rhn-tools-rhel-i386-server-5   27 k
Installing for dependencies:
 rhncfg                  noarch     5.0.1-1.el5     
rhn-tools-rhel-i386-server-5   50 k
 rhncfg-client           noarch     5.0.1-1.el5     
rhn-tools-rhel-i386-server-5   23 k

Transaction Summary
=============================================================================
Install      3 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 100 k
Is this ok [y/N]: n

[root@dhcp231-215 etc]# rpm -qa | grep up2date
[root@dhcp231-215 etc]#

verified
Comment 3 Brandon Perkins 2007-03-13 10:15:46 EDT
Closed in rhn500h Release.
Comment 4 Brandon Perkins 2007-03-13 13:49:12 EDT
Closed in rhn500h release.

Note You need to log in before you can comment on or make changes to this bug.